2008-04-17  Andrew Cagney  <cagney@redhat.com>

	* TestCommandlineParser.java: Use frysk.config.Prefix.

2008-04-14  Petr Machata  <pmachata@redhat.com>

	* Glob.java (matchBrack): Support ^ for complement.

2008-04-06  Petr Machata  <pmachata@redhat.com>

	* ArchFormatter.java: New file.  Code moved from
	frysk.ftrace.Reporter and frysk.stack.Frame.

2008-04-02  Andrew Cagney  <cagney@redhat.com>

	* stack-options.xml: Make refsect2.
	* standard-options.xml: Ditto.

2008-04-01  Andrew Cagney  <cagney@redhat.com>

	* StackPrintUtil.java: Drop '-n', '-f', '-full-path', '-all',
	'-a', '-virtual', '-v', '-common', '-c'.  Add '-lite', '-rich'.
	Change '-print' options to 'debug-names', 'locals', 'params',
	'full-path', 'inline'.
	* TestStackTraceAction.java: Update.
	* StressTestStackTraceAction.java: Update.

2008-03-31  Andrew Cagney  <cagney@redhat.com>

	* standard-options.xml: New.
	* stack-options.xml: New.

2008-03-31  Mark Wielaard  <mwielaard@redhat.com>

	* ProcFollowUtil.java (updateForkedOffspring): Remove debug output.

2008-03-25  Sami Wagiaalla  <swagiaal@redhat.com>

	* ProcRunUtil.java: Updated commnets
	Fixed fork problem.
	* ProcFollowUtil.java: Reimplemented based on ProcRunUtil.
	* FCatch.java: Updated

2008-03-20  Sami Wagiaalla  <swagiaal@redhat.com> 

	* ProcRunUtil.java: Reimplemented with rich client notification.

2008-03-20  Sami Wagiaalla  <swagiaal@redhat.com>

	* ProcFollowUtil.java: Renamed ProcRunUtil to ProcFollowUtil
	* FCatch.java: Updated.

2008-03-20  Andrew Cagney  <cagney@redhat.com>

	* ProcRunUtil.java: Use ProcTasksObserver and ProcTasksAction.

	* StackPrintUtil.java (options(PrintStackOptions)): Drop -p; keeps
	clashing with -p PID.
	
	* FCatch.java (options()): New; use StackPrintUtil.
	* StackPrintUtil.java: New file.

2008-03-19  Phil Muldoon  <pmuldoon@redhat.com>
	    Andrew Cagney  <cagney@redhat.com>

	* CommandlineParser.java (add(Option)): Delete.
	(CommandlineParser(String,OptionGroup[])): New.
	(CommandlineParser(String,String,OptionGroup[])): New.
	(CommandlineParser(String,String)): Delete.
	* ProcStopUtil.java (ProcStopUtil(String,String[],ProcEvent,
	OptionGroup[])): New.
	(addOption(Option)): Delete.	
	* ProcRunUtil.java (ProcRunUtil(String,String,String[],
	NewTaskObserver,OptionGroup[],RunningUtilOptions)): Replace
	ProcRunUtil(String,String,String[],NewTaskObserver,Option[],
	RunningUtilOptions).
	(ProcRunUtil(String,String,String[],NewTaskObserver[],
	OptionGroup[],RunningUtilOptions)): Replace ProcRunUtil(String,
	String,String[],NewTaskObserver[],Option[],RunningUtilOptions).
	* FCatch.java (run(String[])): Pass NULL as OptionGroup[] to
	ProcRunUtil.
	
2008-03-19  Sami Wagiaalla  <swagiaal@redhat.com>

	* ProcRunUtil.java: Moved unblocking to ProcTasksObserver.

2008-03-19  Sami Wagiaalla  <swagiaal@redhat.com> 

	* ProcRunUtil.java: keeps a set of known tasks.
	
2008-03-19  Sami Wagiaalla  <swagiaal@redhat.com>

	* ProcRunUtil.java: remove observationAdded()/Realized().

2008-03-18  Phil Muldoon  <pmuldoon@redhat.com>

       * CommandlineParser.java (CommandlineParser): Trim
       Sys Root help output.

2008-03-17  Andrew Cagney  <cagney@redhat.com>

	* StacktraceAction.java: Implement ProcBlockObserver.
	* ProcStopUtil.java (UtilAction): Ditto.

	* TestStackTraceAction.java (testCore()): Delete; tested by core
	code.

	* ProcRunUtil.java: Update; using TaskAttachedObserverXXX.

2008-03-13  Stan Cox  <scox@redhat.com>

	* CommandlineParser.java (parseSysRoot): Make private.

2008-03-11  Sami Wagiaalla  <swagiaal@redhat.com> 

	* ProcRunUtil.java (.parseCommand): Pass template proc
	to host for creating live proc.

2008-03-11  Sami Wagiaalla  <swagiaal@redhat.com>

	* FCatch.java: Remove cached stack trace if	new stack
	trace is available.

2008-03-11  Andrew Cagney  <cagney@redhat.com>

	* StressTestStackTraceAction.java: Update to match Offspring.
	* TestStackTraceAction.java: Ditto.

2008-03-10  Sami Wagiaalla  <swagiaal@redhat.com>

	* FCatch.java: Now uses ProcRunUtil.
	* TestFCatch.java: Deleted.

2008-03-07  Sami Wagiaalla  <swagiaal@redhat.com>

	* ProcRunUtil.java: Renamed ProcRunningUtil to ProcRunUtil.

2008-03-04  Andrew Cagney  <cagney@redhat.com>

	* ProcStopUtil.java (proc): Delete
	(parseCommand(command)): Pass command through to executeDead.
	* TestCommandlineParser.java (testExeOption()): New.
	* CommandlineParser.java (-exe): New option.

2008-03-03  Andrew Cagney  <cagney@redhat.com>

	* CommandlineParser.java: Use FryskVersion.
	
	* TestCommandlineParser.java: Use frysk.config.
	* CommandlineParser.java: Ditto.
	* TestStackTraceAction.java: Ditto.

2008-03-02  Tom Tromey  <tromey@redhat.com>

	* WordWrapWriter.java: Document.

2008-03-02  Tom Tromey  <tromey@redhat.com>

	* WordWrapWriter.java: New file.

2008-02-29  Tom Tromey  <tromey@redhat.com>

	* FlowControlWriter.java (outStream): Remove.
	(FlowControlWriter): Update.
	(flush): Update.
	(close): Update.
	(write(char[],int,int)): Update.
	(write(int)): Update.
	(write(String,int,int)): Update.

2008-02-29  Stan Cox  <scox@redhat.com>

	* CommandlineParser.java (CommandlineParser): Add new option sysroot.
	(parseSysroot): Use it.

2008-02-29  Petr Machata  <pmachata@redhat.com>

	* Glob.java (compile(String, int)): New method.

2008-02-29  Andrew Cagney  <cagney@redhat.com>

	* CommandlineParser.java: Replace EventLogger with LogOption.

	* Glob.java: Extracted from frysk.bindir.ftrace.

2008-02-28  Sami Wagiaalla  <swagiaal@redhat.com>

	* ProcRunningUtil.java: Framework for all commandline
	utilites which keep the process running.

2008-02-28  Andrew Cagney  <cagney@redhat.com>

	* FCatch.java: Use frysk.rsl.
	* TestStackTraceAction.java: Ditto.
	* TestFCatch.java: Ditto.
	* StacktraceAction.java: Ditto.
	* StressTestStackTraceAction.java: Ditto.

2008-02-28  Tim Moore  <timoore@redhat.com>

	* FlowControlWriter.java: New class.
	* ObservingTerminal.java: Rename ObservingTerminalObserver to
	Observable.
	(afterReadLine, getObservable): New methods.
	
2008-02-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestStackTraceAction.java: Use PrintStackOptions instead of boolean list.
	* StressTestStackTraceAction.java: Ditto.
	* StacktraceAction.java: Ditto.

2008-02-27  Teresa Thomas  <tthomas@redhat.com>

	* PtyTerminal.java (setToInitConsole): New.
	(setToCharBufferedConsole): New.
	
2008-02-27  Andrew Cagney  <cagney@redhat.com>

	* Util.java (getProcFromCoreFile(File)): Delete.
	(getProcFromCoreFile(File,File)): Delete.

	* CommandlineParser.java (parseCommandFIXME(String[])): Delete.

2008-02-26  Andrew Cagney  <cagney@redhat.com>

	* CommandlineParser.java (parseCoresFIXME(CoreExePair[])): Delete.
	(-noexe): Add.

	* Util.java (getProcFromCoreExePair(CoreExePair)): Delete.

	* CommandlineParser.java: Add logging; check for null
	getMessage().

	* CommandlineParser.java (parse(String[])): Catch any exception.
	* ProcStopUtil.java (parseCores(Proc[])): Replace
	parseCoresFIXME(CoreExePair[]).
	(parseCommand(Proc)): Replace parseCommandFIXME(String[]).
	(failIfProcNull(Proc)): Delete.
	
	* Util.java (getProcFromExeFile(Host)): Delete.

	* CommandlineParser.java parseCommandFIXME(String[]): Replace
	parseCommand(String[]).
	(parseCommand(Proc)): New.
	(parseCoresFIXME(CoreExePair[])): Replace parseCores(CoreExePair[]).
	(parseCores(Proc[])): New.
	* TestCommandlineParser.java: Update.
	* ProcStopUtil.java: Update to match LinuxExeFactory and above.

2008-02-26  Teresa Thomas  <tthomas@redhat.com>

	* TestCoredumpAction.java: Move to frysk.testbed.
	* CoredumpAction.java: Ditto.
	
	* ProcStopUtil.java (.parseCommand): Indent.
	
2008-02-26  Andrew Cagney  <cagney@redhat.com>

	* Util.java: Use LinuxCoreFactory.
	* TestCoredumpAction.java: Ditto.
	* TestStackTraceAction.java: Ditto.

2008-02-25  Andrew Cagney  <cagney@redhat.com>

	* ProcStopUtil.java: Use LinuxExeFactory.

2008-02-21  Teresa Thomas  <tthomas@redhat.com>

	* ProcStopUtil.java (.parseCores): Update to match
	changes to Event.ProcEvent.

2008-02-20  Teresa Thomas  <tthomas@redhat.com>

	* ProcStopUtil.java (.parseCores): Call setProcData.

2008-02-19  Andrew Cagney  <cagney@redhat.com>

	* TestCoredumpAction.java: Fix merge botch.
	
	* CommandlineParser.java: Update to match lib.dwfl.
	* TestCoredumpAction.java: Ditto.

2008-02-19  Phil Muldoon  <pmuldoon@redhat.com>

	* CoredumpAction.java: Add stackOnly parameter.
	* TestCoredumpAction.java (testStackOnlyMap): New.

2008-02-14  Andrew Cagney  <cagney@redhat.com>

	* CommandlineParser.java (parsePids(Proc[])): Replace
	parsePids(ProcId[]).
	* Util.java: Update.
	* ProcStopUtil.java: Update.
	* FCatch.java: Update.
	* TestCommandlineParser.java: Update.
	* TestCoredumpAction.java: Ditto.

2008-02-13  Andrew Cagney  <cagney@redhat.com>

	* TestFCatch.java: Update to match frysk.sys.Signal.

2008-02-07  Andrew Cagney  <cagney@redhat.com>

	* FCatch.java: Update to match Host.requestProc(int,FindProc).
	* TestFCatch.java: Ditto.
	* Util.java: Ditto.

2008-02-06  Teresa Thomas  <tthomas@redhat.com>

	* ProcStopUtil.java: New.

2008-02-05  Andrew Cagney  <cagney@redhat.com>

	* X8664LinuxElfCorefile.java: Move to frysk.isa.corefiles.
	* PPC64LinuxElfCorefile.java: Move to frysk.isa.corefiles.
	* PPC32LinuxElfCorefile.java: Move to frysk.isa.corefiles.
	* LinuxElfCorefileFactory.java: Move to frysk.isa.corefiles.
	* LinuxElfCorefile.java: Move to frysk.isa.corefiles.
	* IA32LinuxElfCorefile.java: Move to frysk.isa.corefiles.
	* CoredumpAction.java: Update.

2008-02-04  Tim Moore  <timoore@redhat.com>

	* ObservingTerminal.java: New file.
	
2008-01-25  Andrew Cagney  <cagney@redhat.com>

	* TestCoredumpAction.java (testElfCoreHeader()): Fetch the ISA
	from a blocked task.

2008-01-24  Andrew Cagney  <cagney@redhat.com>

	* FCatch.java: Update to match
	TaskObserver.Terminated.updateTerminated(Task,Signal,int) and
	TaskObserver.Terminating.updateTerminating(Task,Signal,int).
	* TestFCatch.java: Ditto.

	* TestFCatch.java: Update to match
	TaskObserver.Signaled.updateSignaled(Task,Signal).
	* FCatch.java: Ditto.

	* TestCommandlineParser.java: Update; CoreFileAtSignal renamed to
	CorefileFactory.
	
	* TestCommandlineParser.java: Replace TestLinuxCore with
	CoreFileAtSignal.

2008-01-24  Phil Muldoon  <pmuldoon@redhat.com>

	* PPC32LinuxElfCorefile.java (writeNoteFPRegset): Rewrite using
	BankRegisters to form bank.
	* PPC64LinuxElfCorefile.java (writeNoteFPRegset): Ditto.

2008-01-24  Andrew Cagney  <cagney@redhat.com>

	* IA32LinuxElfCorefile.java: Update; Register moved to
	frysk.isa.registers.
	* PPC32LinuxElfCorefile.java: Ditto.
	* PPC64LinuxElfCorefile.java: Ditto.
	* X8664LinuxElfCorefile.java: Ditto.
	
	* IA32LinuxElfCorefile.java: Update; RegisterBank moved to
	frysk.isa.banks.
	* X8664LinuxElfCorefile.java: Ditto.
	
2008-01-09  Phil Muldoon  <pmuldoon@redhat.com>

	* AuxvStringBuilder.java (construct): Find symbol for
	AT_ENTRY. Find string in memory for AT_PLATFORM. 

2008-01-08  Andrew Cagney  <cagney@redhat.com>

	* TestStackTraceAction.java: Replace Host.getProcInterator with
	Host.getSoleProcFIXME.
	* Util.java: Ditto.

2008-01-07  Andrew Cagney  <cagney@redhat.com>

	* FCatch.java: Update; use Host.requestProc.
	* TestFCatch.java: Ditto.
	* Util.java: Ditto.

2008-01-03  Phil Muldoon  <pmuldoon@redhat.com>

	* TestCoredumpAction.java (testGeneralPurposeRegisters): Delete. Replaced by
	frysk.proc.dead.TestCoreRegs.
	(testFloatingPointRegisters): Ditto.
	(testXFloatingPointRegisters): Ditto. 
	* IA32LinuxElfCorefile.java (writeNotePRXFPRegSet): Rewrite and
	use BankRegisters.
	(writeNotePRFPRegSet): Ditto.
	* X8664LinuxElfCorefile.java (writeNotePRFPRegSet): Ditto.

2008-01-02  Andrew Cagney  <cagney@redhat.com>

	* TestCoredumpAction.java: Update frysk.proc.dead.LinuxHost
	renamed to .LinuxCoreHost.
	* TestStackTraceAction.java: Ditto.
	* Util.java: Ditto.

2007-12-28  Andrew Cagney  <cagney@redhat.com>

	* TestCoredumpAction.java (testGeneralPurposeRegisters()): Mark as
	unresolved on 32-on-64, bug 5525.

2007-12-21  Andrew Cagney  <cagney@redhat.com>

	* TestCoredumpAction.java (getArch(String)): Delete.
	(getIsa(Proc)): Delete.
	(testElfCoreHeader()): Use getISA.

2007-12-10  Phil Muldoon  <pmuldoon@redhat.com>

	* TestFCore.java: Rename to TestCoredumpAction.java

2007-12-07  Phil Muldoon  <pmuldoon@redhat.com>

	* Util.java (getProcFromCoreFile): Tweak Error text.
	(getProcFromCoreExePair): Ditto.
	(getProcFromPid): Ditto.
	(getProcFromExeFile)L Ditto. 
	
	* AuxvStringBuilder.java: New.

2007-12-04  Andrew Cagney  <cagney@redhat.com>

	Merge frysk.sys.Sig into frysk.sys.Signal.
	* TestFCatch.java: Update.
	* CoredumpAction.java: Update.
	* StacktraceAction.java: Update.

2007-11-29  Phil Muldoon  <pmuldoon@redhat.com>

	* IA32LinuxElfCorefile.java(writeNotePrstatus): Construct
	byte-ordered buffer for GP Registers. Do not use BigIntegers.
	Account for wordSize with Registers < wordSize.
	(bytesToBigInteger) Delete.
	* X8664LinuxElfCorefile.java: Ditto.
	* PPC32LinuxElfCorefile.java: Ditto.
	* PPC64LinuxElfCorefile.java: Ditto.

2007-11-28  Tim Moore  <timoore@redhat.com>

	* TestCountDownLatch.java (testTimeout): wrap time out await in
	while loop.

2007-11-28  Jose Flavio Aguilar Paulino <jflavio@br.ibm.com>
	
	* PPC64LinuxElfCorefile.java: Fixed the floating pointer
	notes writer.

	* TestFCore.java: Marked testFloatingPointRegisters as an Unresolved
	test since doesnt make sense to test for fp regs in the second bank,
	they are together with all other regs in the first bank.

2007-11-28  Phil Muldoon  <pmuldoon@redhat.com>

	* PPC64LinuxElfCorefile.java (writeNotePrstatus): Add GPR
	registers to map. Do not use getRegisterByName() anymore.
	* PPC32LinuxElfCorefile.java(writeNotePrstatus): Ditto.
	
	* X8664LinuxElfCorefile.java (writeNotePrstatus): Do not use
	getRegisterByName(). Use static X8864 register constants, and
	task.access()
	(bytesToBigInteger): New temporary function, pending all arch
	refactor.

2007-11-27  Tim Moore  <timoore@redhat.com>

	* TestCountDownLatch.java (testCounters): Wrap await in while loop.

2007-11-26  Sami Wagiaalla  <swagiaal@redhat.com>

	Added a boolean for printing source	libraries to Frame.toPrint().
	* TestStackTraceAction.java: updated.
	* StacktraceAction.java: Updated.
	* StressTestStackTraceAction.java: Updated.

2007-11-26  Jose Flavio Aguilar Paulino <joseflavio@gmail.com>

	* PPC32LinuxElfCorefile.java: Using direct reference to registers,
	removing the "string" names.

	* PPC64LinuxElfCorefile.java: Same as above.

2007-11-23  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* TestFStack.java: Renamed this...
	* TestStackTraceAction.java: ...to This.
	
	* StressTestFStack.java: Renamed this...
	* StressTestStackTraceAction.java: ...to This.

2007-11-23  Sami Wagiaalla  <swagiaal@redhat.com>

	Removed printlibrary boolean argument from Frame.toPrint()
	added fullpath boolean argument.
	* StacktraceAction.java: Updated.
	* StressTestFStack.java: Updated.
	* TestFStack.java: Updated.

2007-11-23  Mark Wielaard  <mwielaard@redhat.com>

	* CountDownLatch.java (await): Mark as synchronized.

2007-11-22  Tim Moore  <timoore@redhat.com>

	* CountDownLatch.java (await): Loop to avoid spurious wakeup.

2007-11-21  Sami Wagiaalla  <swagiaal@redhat.com>

	* StacktraceAction.java: Now passes numberOfFrames argument.

2007-11-20  Andrew Cagney  <cagney@redhat.com>
	
	* X8664LinuxElfCorefile.java: Fix typo; "eflags" -> "rflags".

2007-11-20  Petr Machata  <pmachata@redhat.com>

	* StracePrinter.java: Moved over to `ftrace' package.
	* SyscallHandler.java: The same.

2007-11-19  Petr Machata  <pmachata@redhat.com>
	
	* Ftrace.java: Moved over to `ftrace' package.

2007-11-09  Jose Flavio Aguilar Paulino <jflavio@br.ibm.com>

	* LinuxElfCorefileFactory.java: Removed Power little endian.

2007-10-22  Phil Muldoon  <pmuldoon@redhat.com>

	* IA32LinuxElfCorefile.java (writeNotePrstatus): Convert
	to use getRegister() and BankRegisters.
	(byteToBigInteger): New. Temporary function to build
	a BigInteget from a byte stream.

2007-10-19  Andrew Cagney  <cagney@redhat.com>

	* FCatch.java (generateStackTrace(Task)): Use
	StackFactory.printStack(PrintWriter,Frame).
	* TestFCatch.java: Ditto.
	* Ftrace.java (generateStackTrace(Task)): Ditto.

2007-10-17  Andrew Cagney  <cagney@redhat.com>

	* Util.java: Update; use frysk.proc.FindProc.
	* FCatch.java: Ditto.
	* Ftrace.java: Ditto.
	* TestFCatch.java: Ditto.

2007-10-16  Andrew Cagney  <cagney@redhat.com>

	* IA32LinuxElfCorefile.java: Rename LinuxElfCorefilex86.java.
	* PPC32LinuxElfCorefile.java: Rename LinuxElfCorefilePPC32.java.
	* PPC64LinuxElfCorefile.java: Rename LinuxElfCorefilePPC64.java.
	* X8664LinuxElfCorefile.java: Rename LinuxElfCorefilex8664.java.
	* LinuxElfCorefileFactory.java: Update.

2007-10-14  Andrew Cagney  <cagney@redhat.com>

	* LinuxElfCorefile.java: Update; use ISA .order() and ISA
	.wordSize().
	* TestFCore.java: Ditto.
	(getISA(Proc)): New.

2007-10-12  Andrew Cagney  <cagney@redhat.com>

	* LinuxElfCorefilePPC32.java: Update; Task .getRegisterBanks
	renamed to getRegisterBuffersFIXME.
	* LinuxElfCorefilePPC64.java: Ditto.
	* LinuxElfCorefilex8664.java: Ditto.
	* LinuxElfCorefilex86.java: Ditto.
	* TestFCore.java: Ditto.

2007-10-10  Rick Moseley  <rmoseley@redhat.com>

	* Util.java (getProcFromExeFile): New.

2007-10-09  Andrew Cagney  <cagney@redhat.com>

	* LinuxElfCorefilePPC32.java: Update; replace BankRegister
	.getBigInteger(Task) with Task. .getBigIntegerRegisterFIXME.
	* LinuxElfCorefilePPC64.java: Ditto.
	* LinuxElfCorefilex8664.java: Ditto.
	* LinuxElfCorefilex86.java: Ditto.

2007-10-09  Phil Muldoon  <pmuldoon@redhat.com>

	* LinuxElfCorefileFactory.java (getCorefile): Rewrite.
	(getArch): Delete.

2007-10-06  Phil Muldoon  <pmuldoon@redhat.com>

	* TestFCore.java (testGeneralPurposeRegisters): Disable test on 32
	on 64.

2007-10-05  Phil Muldoon  <pmuldoon@redhat.com>

	* LinuxElfCorefilex86.java (LinuxElfCorefilex86): Set size.
	(writeNotePrpsinfo): Pass size to elf note.
	(writeNotePrstatus): Ditto.
	* LinuxElfCorefilex8664.java: Ditto..
	* LinuxElfCorefilexPPC32.java : Ditto..
	* LinuxElfCorefilexPPC64.java: Ditto.	
	* LinuxelfCorefilex86.java (writeNotePRXFPRegset): Check XFP size, and return false if 
	empty
	
2007-10-05  Andrew Cagney  <cagney@redhat.com>

	* LinuxElfCorefilePPC32on64.java: Delete.
	* LinuxElfCorefileFactory.java: Delete reference.

2007-10-01  Andrew Cagney  <cagney@redhat.com>

	* LinuxElfCorefileFactory.java: Re-indent.

2007-09-18  Sami Wagiaalla  <swagiaal@redhat.com>

	* Ftrace.java (trace): Now stops event loop when process
	is not found.

2007-09-03  Tim Moore  <timoore@redhat.com>

	* TestCountDownLatch.java: New class for tests of CountDownLatch.

	* CountDownLatch.java: New class.

2007-08-28  Phil Muldoon  <pmuldoon@localhost.localdomain>

	* LinuxElfCorefile.java (CoreMapsBuilder.buildMap): Check that module.getElf()
	returns null. If it does, do not elide.

2007-08-23  Petr Machata  <pmachata@redhat.com>

	* Ltrace.java: Delete.
	(MappingInfo, MemMappedFiles): Merged and moved to
	the frysk.ftrace.MemoryMapping
	(LtraceSymbol): Moved to the frysk.ftrace.Symbol
	(LtraceObjectFile): Moved to the frysk.ftrace.ObjectFile
	(Ltrace): Moved to the frysk.ftrace.Ltrace

2007-08-21  Phil Muldoon  <pmuldoon@redhat.com>

	* LinuxElfCorefilePPC*.java: Fix copyright
	messages.

2007-08-17  Phil Muldoon  <pmuldoon@redhat.com>

	* TestFCore.java (ProgramHeaderMapsTester): Delete.
	(testAuxv): Delete core when done.
	(findLowAddress): New.
	(getElf): Made private.
	(getIsa): Ditto.
	(getArch): Ditto.
	(giveMeABlockedProc): Ditto.
	(giveMeAProc): Ditto.
	(constructCore): Ditto.
	(testProgramSegmentHeader): Refactored to check segments
	are correctly includexd.	
	* LinuxElfCorefile.java (writeNoteData): New. Don't use 
	elf to write segments.
	(writeSegments): Ditto. Write elf segment data.
	(constructCorefile): Refactor, do not use Sections.
	(FillENoteSection): Delete.
	(constructSectionData): Return byte[].	
	(buildNotes): Was fileENoteSection. Return
	byte[].
	(CoreMapsBuilder.buildMap): Just build Program Segment
	header info. Do not write elf data.
	
2007-08-16  Phil Muldoon  <pmuldoon@redhat.com>

	* TestFCore.java (testAuxv): New.

2007-08-13  Phil Muldoon  <pmuldoon@redhat.com>

	* TestFCore.java (testProgramSegmentHeader): Use getElf().
	(testElfCoreHeader): Ditto.
	(getElf): New.
	(giveMeABlockedProc): New.
	(testXFloatingPointRegisters): New.	
	(testGeneralPurposeRegisters): New.
	(testFloatingPointRegisters): New
	* LinuxElfCorefile.java (writeNotePRXFPRegset): Change method 
	signature to return boolean.
	(fillElfNoteSection): Add in NT_XPFREGSet write call.
	* LinuxElfCorefilex8664.java (writeNotePRXFPRegset): Reflect
	new method signature.
	* LinuxElfCorefilePPC32.java (writeNotePRXFPRegset): Ditto.
	* LinuxElfCorefilePPC32On64.java (writeNotePRXFPRegset): Ditto.
	* LinuxElfCorefilePPC64.java (writeNotePRXFPRegset): Ditto.
	* LinuxElfCorefilex86.java (writeNotePRXFPRegset): Ditto.
	Fill XFPRegs for x86.
	
2007-08-10  Sami Wagiaalla  <swagiaal@redhat.com>

	* StacktraceAction.java: Added virtualFrames boolean.
	* StressTestFStack.java: Ditto.
	* TestFStack.java: Ditto.

2007-08-09  Andrew Cagney  <cagney@redhat.com>

	* TestCommandlineParser.java: Replace "funit-child" with
	SlaveOffspring.getExecutable.
	
	* TestFStack.java: Replace AckDaemonProcess with
	SlaveOffspring.createDaemon.
	* TestCommandlineParser.java: Ditto.
	
	* StressTestFStack.java: Replace DetachedAckProcess with
	SlaveOffspring.createChild.
	* TestFCatch.java: Ditto.
	* TestFCore.java: Ditto.
	* TestFStack.java: Ditto.
	
	* StressTestFStack.java: Use SlaveOffspring
	.assertSendAddClonesWaitForAcks.
	* TestFStack.java: Ditto.

2007-08-09  Teresa Thomas  <tthomas@redhat.com>

	* DebuginfoPaths.java (getDebuginfo): Ensure non empty module
	name.
	
2007-08-08  Andrew Cagney  <cagney@redhat.com>

	* TestFCatch.java: Replace frysk.testbed.TestLib.AckProcess with
	frysk.testbed.SlaveOffspring.
	* StressTestFStack.java: Ditto.
	* TestFCore.java: Ditto.

2007-08-08  Petr Machata  <pmachata@redhat.com>

	* Ltrace.java: A lot of changes.  Deep tracing via PLT enabled,
	entry point tracing currently disabled but code ready.

2007-08-08  Andrew Cagney  <cagney@redhat.com>

	* TestFStack.java: Replace frysk.testbed.TestLib.AckProcess with
	frysk.testbed.SlaveOffspring.

2007-08-07  Teresa Thomas  <tthomas@redhat.com>

	* DebuginfoPaths.java (task): Added.

2007-08-03  Petr Machata <pmachata@redhat.com>

	* Ltrace.java: fix use of ElfSymbolBuilder

2007-08-02  Nurdin Premji  <npremji@redhat.com>

	* TestCommandlineParser.java: Added.

2007-08-01  Andrew Cagney  <cagney@redhat.com>

	* Util.java (CoreExePair): Move to CoreExePair.
	(ProcFinder): Make local to getProcFromPid.
	* CoreExePair.java: New file.
	* CommandlineParser.java: Update.
	(doParse): Use LinkedList and toArray.
	

2007-08-01  Nurdin Premji  <npremji@redhat.com>

	* CommandlineParser.java: Ran sun formatter.

	* CommandlineParser.java (doParse): Handle last file is a core file case.

	* CommandlineParser.java (doParse): Handle core file/ exe file pairs.
	(parseCores): Ditto.
	(isExeFile): New.
	* Util.java (CoreExePair): New.
	(getProcFromCoreExePair): New.	
	
2007-08-01  Mike Cvet  <mcvet@redhat.com>

	* FCatch.java: Formatting using Sun style.

2007-08-01  Nurdin Premji  <npremji@redhat.com>

	* Util.java (getProcFromCoreFile): Added, takes an exe file as well.

2007-07-31  Phil Muldoon  <pmuldoon@localhost.localdomain>

	* CoredumpAction.java: Rewritten and Refactored to
	LinuxElfCorefile.java.	
	* LinuxElfCorefileFactory.java: New. Return correct core
	file back-end.
	* LinuxCoreFile.java: New file.
	* LinuxCoreFilex86.java: New file.
	* LinuxCoreFilex8664.java: New file.
	* LinuxCoreFilePPC32.java: New file.
	* LinuxCoreFilePPC32On64.java: New file.	
	* LinuxCoreFilePPC64.java: New file.	
	
2007-07-31  Sami Wagiaalla  <swagiaal@redhat.com>

	* StacktraceAction.java: Now calls StackFactory or DebugInfoStackFactory
	depending on whether or not an elf only stack back trace was requrested.

2007-07-31  Andrew Cagney  <cagney@redhat.com>

	* StressTestFStack.java: Use frysk.testbed.FunitThreadsOffspring.
	(mainClone): Add pattern to match " from ...".

2007-07-31  Mark Wielaard  <mwielaard@redhat.com>

	* StacktraceAction.java (printTasks): Remove debug println.
	* CoredumpAction.java (fillENotePrstatus): Rename elf to elflags.

2007-07-30  Mark Wielaard  <mwielaard@redhat.com>

	* CoredumpAction.java (): Use Task.getRegisterBanks() not
	Isa.getRegisterBankBuffers().

2007-07-28  Andrew Cagney  <cagney@redhat.com>

	* TestFStack.java: Use Config.getPkgDataFile.

2007-07-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* StacktraceAction.java (StacktraceAction): now takes a 
	printSourceLibrary boolean.
	* FCatch.java (generateStackTrace): passes a printSourceLibrary
	boolean to Frame.toPrint().
	* Ftrace.java (generateStacKTrace): Ditto.
	* StressTestFStack.java (testClone): Ditto.
	* TestFStack.java (multiThreaded): passes a printSourceLibrary
	boolean to StacktraceAction.


2007-07-27  Petr Machata  <pmachata@redhat.com>

	* Ltrace.java: Fixes for multi-task procs, print out parameters of
	visited procedures.

2007-07-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFStack.java (multiThreaded): Adjusted regex to account
	for the extra lib information.

2007-07-27  Andrew Cagney  <cagney@redhat.com>

	* TestLib.java: Delete file.
	* StressTestFStack.java: Extend frysk.testbed.TestLib.
	* TestFStack.java: Ditto.
	* TestFCore.java: Ditto.

2007-07-26  Petr Machata  <pmachata@redhat.com>

	* Ltrace.java: New file.

2007-07-24  Andrew Cagney  <cagney@redhat.com>

	* TestFCatch.java: Update; frysk.proc.TestLib moved to
	frysk.testbed.TestLib.
	* TestLib.java: Ditto.

2007-07-23  Sami Wagiaalla  <swagiaal@redhat.com>

	* FCatch.java: Used printWriter instead of String to print
	stack trace.
	* Ftrace.java: Ditto.
	* StacktraceAction.java: Ditto.
	* StressTestFStack.java: Ditto.
	* TestFCatch.java: Ditto.
	* TestFStack.java: Ditto.

2007-07-23  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFStack.java: replaced test-core with test-core-x86;
	fix for failing tests.

2007-07-16  Andrew Cagney  <cagney@redhat.com>

	* CommandlineParser.java: Update, lib.elf and lib.dw merged into
	lib.dwfl.
	* CoredumpAction.java: Ditto.
	* TestFCore.java: Ditto.

2007-07-04  Andrew Cagney  <cagney@redhat.com>

	* TestFStack.java: Replace brokenXXX with unresolved.

2007-07-03  Petr Machata  <pmachata@redhat.com>

	* Ftrace.java (addTracePid): take ProcId argument instead of int,
	to avoid conversions back and forth.

2007-07-02  Petr Machata  <pmachata@redhat.com>

	* Ftrace.java (trace): Use Host.requestFindProc instead of
	Host.requestRefreshXXX to attach to a process (#4537).

2007-06-22  Nurdin Premji  <npremji@redhat.com>

	* Util.java (getProcFromCoreFile): Remove call to refresh and runPending.
	* TestFStack.java (testCore): Ditto.

2007-06-20  Nurdin Premji  <npremji@redhat.com>

	* CommandlineParser.java (parsePids): print error message, help message
	and exit.
	(parseCores): Ditto.
	(parseCommands): Ditto.

	* CommandlineParser.java: Wrap a parser instead of extending it.
	(printHelp): Added.
	(setHeader): Added.
	(doParse): Added.
	(CommandlineParser): Added.
	(add): Added.
	(validate): Added.
	(parse): Call doParse, call validate.

2007-06-19  Phil Muldoon  <pmuldoon@redhat.com>

	* CoredumpAction (AbandonCoreDump): Do not use system.exit,
	instead throw an exception.

2007-06-18  Andrew Cagney  <cagney@redhat.com>

	* Util.java: Update, package frysk.proc.corefile renamed to
	frysk.proc.dead.
	* TestFStack.java: Ditto.

2007-06-15  Phil Muldoon  <pmuldoon@redhat.com>

	* TestFCore.java (testCoreFileCreated): brokenXXX removed for
	64 bit architectures.
	(testElfCoreHeader): Ditto.
	(testProgramSegmentHeader): Ditto.
	

2007-06-15  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFCatch.java: Removed checking for line info.
	* TestFStack.java: Ditto.
	
2007-06-13  Nurdin Premji  <npremji@redhat.com>

	* CommandlineParser.java (parse): Exit immediately if there are no 
	arguments passed on the command line.
	(parseCommand): throw a default unhandled exception.
	(parseCores): Ditto.
	(parsePids): Ditto.

2007-06-11  Sami Wagiaalla  <swagiaal@redhat.com>

	* StacktraceAction.java: Constructor now takes the following
	parameters: boolean elfOnly, boolean printParameters, boolean
	printScopes, and boolean fullpath.
	Added Javadoc for the new parameters.
	* StressTestFStack.java: Changed to match the above refactoring
	* TestFStack.java: Ditto.

2007-06-11  Nurdin Premji  <npremji@redhat.com>

	* StacktraceAction.java: Reflect frysk.stack package movement.
	* Ftrace.java: Ditto.
	* TestFCatch.java: Ditto.

2007-06-08  Nurdin Premji  <npremji@redhat.com>

	* CommandLineParser.java (CommandLineParser): Enable longOnly mode, 
	allows for long options to start with single -.
	* Util.java (PidParser): Removed.
	(parsePids): Removed.

	* Util.java (getProcFromCoreFile): Added.
	(getProcFromPid): Added.
	(ProcFinder): Added.
	(PidCoreParser): Removed.
	(parsePidsAndCores): Removed.
	(printStackTrace): Removed.
	
	* CommandlineParser.java: Added documentation. 
	(parse): Don't catch general exceptions.
	(isCoreFile): Limit try block to just creation of the elf file.

	* CommandlineParser.java (parseCores): Added.
	(parsePids): Added.
	(isCoreFile): Added.
	(parse): Added.
	(parseCommand): Added.

2007-06-07  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFCatch.java: Reversed the patch for loosining the output matching
	chriteria.
	* TestFStack.java: Ditto.

2007-06-07  Nurdin Premji  <npremji@redhat.com>

	* StacktraceAction.java (deletedFrom): Added.
	(addFailed): Added.
	(addedTo): Added.
	(StacktraceAction): Removed unused constructors.
	* TestFCore.java (constructCore): Reflect changes to ProcBlockAction.
	* CoredumpAction.java (CoredumpAction): Store reference to proc.
	(taskAddFailed): Added.
	(addedTo): Added.
	* StressTestFStack.java (testClone): Use ProcBlockAction.
	* TestFStack.java (multiThreaded): Use ProcBlockAction.
	(testCore): Use ProcCoreAction.

2007-06-04  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFCatch.java: Loosend success chriteria to check for function
	names rather than exact format.
	* TestFStack.java: Ditto.

2007-06-01  Nurdin Premji  <npremji@redhat.com>

	* StacktraceAction.java (StacktraceAction): Added constructors for ProcId
	and corefile Files.
	
	* Util.java (PidCoreParser): Added.	
	(parsePidsAndCores): Added.	
	* TestFStack.java (testCore): Added.

2007-05-23  Andrew Cagney  <cagney@redhat.com>

	* Ftrace.java: Replace call to Host.requestRefreshXXX(true) with
	Host.requestRefreshXXX().
	* TestFCatch.java: Delete call to Host.requestRefreshXXX(true).
	* FCatch.java: Delete call to Host.requestRefreshXXX.  Note race
	with exe.exists.

2007-05-04  Nurdin Premji  <npremji@redhat.com>

	* TestFcatch.java: Made regex more general so RemoteFrame also passes.
	RemoteFrame returns __libc__sigsuspend, StackFrame returns __sigsuspend.
	
	* TestFCatch.java (FCatchTester.generateStackTrace): Updated for 
	frysk.rt.StackFactory.createFrame name change.
	* Util.java (printStackTrace): Ditto.
	* FCatch.java (generateStackTrace): Ditto.
	* Ftrace.java (generateStacKTrace): Ditto.
	
2007-05-04  Sami Wagiaalla  <swagiaal@redhat.com>

	* StracePrinter.java: Removed SyscallEventInfo argument.
	Removed when argument.
	Split the handle function into handleEnter and handleExit.
	* SyscallHandler.java: Ditto.
	* Ftrace.java: Added forkObserver for properly following forked
	children.
	Stoped use of Refresh for finding forked children.
	Added procObserver to newly added Procs.
	Added tasksObserver to procs executed by ftrace; fix for bz 2916.

2007-05-04  Nurdin Premji  <npremji@redhat.com>

	* Util.java (printStackTrace): Abstract StackFrame to Frame.	
	* TestFCatch.java (FCatchTester.generateStackTrace): Ditto.
	* FCatch.java (generateStackTrace): Ditto.
	* Ftrace.java (generateStacKTrace): Ditto.
	
2007-05-02  Andrew Cagney  <cagney@redhat.com>

	* Revert 2007-05-01 Nurdin Premji <npremji@redhat.com> change.

2007-05-01  Nurdin Premji  <npremji@redhat.com>

	* Util.java (printStackTrace): 	Switch from StackFrame to Frame.
	* TestFCatch.java (mainThread): Ditto.
	(FCatchTester.generateStackTrace): Ditto.
	* FCatch.java (generateStackTrace): Ditto. 	
	* Ftrace.java (generateStacKTrace): Ditto.

2007-04-16  Andrew Cagney  <cagney@redhat.com>

	* FCatch.java (trace): Run the event-loop from the main task.
	* Ftrace.java (trace): Ditto.

2007-04-12  Mike Cvet  <mcvet@redhat.com>

	* FCatch.java (signaledTasks): Added. Keeps track of tasks belonging to the
	signaled process. Fixes #4532.
	(SignalObserver.updateSignaled): Lets signaled task continue if it is
	contained in above set, and removes from set.
	(handleTaskBlock): Adds incoming tasks to signaled set.

2007-04-03  Phil Muldoon  <pmuldoon@redhat.com>

	* CoredumpAction.java (fillENotePrpsinfo): Construct
	command line inside builder, not manually (#4316).
	
2007-03-30  Mike Cvet  <mcvet@redhat.com>

	* FCatch.java (generateProcStackTrace): Remove System.exit().
	(handleTask): Changed to stdout instead of stderr.
	(CatchObserver.updateAttached): set numTasks here.

2007-03-21  Tim Moore  <timoore@redhat.com>

	* PtyTermina.java : New file.

2007-02-28  Mike Cvet  <mcvet@redhat.com>

	* Ftrace.java (syscallStackTraceSet): Added. Set of requested syscalls for
	stack tracing.
	(setSyscallStackTracing): Added. Sets HashSet of system calls.
	(generateStacKTrace): Added. Dumps a stacktrace.
	(SyscallObserver.updateSyscallEnter): If the incoming system call is in the
	system call stack trace HashSet, dump a stack trace before continuing. Fixes
	#4112.
	
	* FCatch.java: Commented.
	(handleTaskBlock): Added some new special switch cases. Make sure the 
	stack trace StringBuffer is reset after each trace. Simplified switch.
	
	* FCatch.java (proc): Removed.
	(handleTask): Removed.
	(iterateTasks): Takes a Proc parameter.
	(init): Pass returned Proc directly to iterateTasks().

2007-02-26  Tim Moore  <timoore@redhat.com>

	* CommandlineParser.java: New file.

2007-02-23  Mike Cvet  <mcvet@redhat.com>

	* FCatch.java (Blocker): Added. TaskObserver.Instruction blocking
	observer class.
	(signalObserver): Added. Add the same SignalObserver to each of the
	Tasks.
	(generateStackTrace): Decrement the numTasks counter.
	(removeObservers): Removed.
	(handleTaskBlock): Added. Switches on the signal value to appropriate 
	update the stack trace StringBuffer. If all the tasks of the process 
	have passed through, prints the StringBuffer and unblocks all the tasks.
	Fixes #3932.
	(CatchObserver.updateAttached): Initialize the global SignalObserver if 
	it is null, and add to each task that passes through.
	(CatchObserver.updateTerminating): Removed eventloop stopping code.
	(CatchObserver.updateTerminated): Requests a stop from the eventloop if 
	all the Tasks have completed stack tracing and are unblocked and
	terminated. Fixes #3932.
	(SignalObserver.updateSignaled): Assign some global variables from the 
	signaled Task. Moved switch statement and stack trace calls to 
	handleTaskBlock(). Block each of the threads of the process with an
	InstructionObserver. Fixes #4092.
	* TestFCatch.java: Added some more fields reflecting the above updates.
	(FCatchTester.Blocker): Added. Blocking TaskObserver.Instruction observer.
	(handleTaskBlock): Added.

2007-02-07  Phil Muldoon  <pmuldoon@ups.hsv.redhat.com>

	* CoredumpAction.java (write_elf_file): Remove boolean flag in 
	Elf constructor call.

2007-02-02  Andrew Cagney  <cagney@redhat.com>

	* CoredumpAction.java: Update to match frysk.sys.proc.MapsBuilder
	change, permPrivate removed.
	* TestFCore.java: Ditto.

2007-01-25  Nurdin Premji  <npremji@redhat.com>

	* StacktraceAction.java: Moved generateTaskStackTrace() to frysk.rt.StackFactory.

2007-01-23  Andrew Cagney  <cagney@redhat.com>

	* Util.java: Remove TaskException code.
	* StacktraceAction.java: Ditto.

	* Ftrace.java: Remove TaskException code.
	* CoredumpAction.java: Ditto.

2007-01-23  Nurdin Premji  <npremji@redhat.com>

	* Util.java (printStackTrace): changed catch Exception _ to catch Exception ignored.
	* StacktraceAction.java (generateTaskStackTrace): Ditto.

2007-01-22  Phil Muldoon  <pmuldoon@redhat.com>

	* TestFCore.java (giveMeAProc):  Remove assertSendStop() from ackProc.

2007-01-22  Andrew Cagney  <cagney@redhat.com>

	* TestFCore.java: Delete catch failing when a TaskException.

2007-01-12  Nurdin Premji  <npremji@redhat.com>

	* TestFCore.java (giveMeAProc): Updated name change from sendStopXXX 
	to assertSendStop.
	
2007-01-11  Mike Cvet  <mcvet@redhat.com>

	* FCatch.java (SignalObserver.updateSignaled): Fix a couple bugs in
	signal switch statement; notify which thread the trace is coming from.
	(updateTerminating): Request an eventloop stop after the last thread
	passes through.

2007-01-10  Nurdin Premji  <npremji@redhat.com>

	* StacktraceAction.java (taskAddFailed): Changed to FINE output, it really
	doesn't cause a severe problem. Especially with stress testcases where tasks
	die before they are seen.

	* Util.java: Moved addConsoleOptions to frysk.EventLogger.
	* FCatch.java: Use Logger.getLogger. instead of EventLogger.get to avoid
	creating new files.
	* CoredumpAction.java: Ditto.
	* StacktraceAction.java: Ditto
	(taskAddFailed): Added error message to logging output.
	
2007-01-06  Andrew Cagney  <cagney@redhat.com>

	* TestFCatch.java: Use wild cards, instead of Build.SRCDIR.
	* TestFStack.java: Ditto.

2007-01-05  Nurdin Premji  <npremji@redhat.com>

	* TestFStack.java (multiThreaded): Changed to not abandon process when 
	stack trace is finished. (abandon is tested in frysk.proc.TestAbandon).

2007-01-04  Nurdin Premji  <npremji@redhat.com>

	* StacktraceAction.java: GNU Formatted.
	(existingTask): Clean up logging messages (added newline).
	(printTasks): Ditto.
	(toPrint): Ditto.

2007-01-04  Mark Wielaard  <mark@klomp.org>

	Fixes frysk/3825
	* TestFCatch.java (mainThread): Add optional __ before sigsuspend
	regex match.

2007-01-02  Nurdin Premji  <npremji@redhat.com>

	* TestFCatch.java (mainThread): Added regex line to match beginning of output.

	* StressTestFStack.java: Added.
	* TestFStack.java (multiThreaded): 	Moved some variables here rather than
	global.
	Moved stressfull tests to StressTestFStack.

2006-12-27  Mike Cvet  <mcvet@redhat.com>

	* FCatch.java (trace): Removed, redundant.

2006-12-22  Nurdin Premji  <npremji@redhat.com>

	* Util.java (parsePids): Use more generic Collections Return type.
	(addConsoleOptions): Removed logger argument.
	* StacktraceAction.java (allExistingTasksCompleted): Added log message.

2006-12-22  Mike Cvet  <mcvet@redhat.com>

	* FCatch.java: Added logging.
	(init): Removed code which scanned all processes looking
	for PIDs, and directly get the Proc.
	(stackTrace): Added.
	(toString): Added.
	(getStackTrace): Added.
	(generateStackTrace): Build stack trace into the stackTrace StringBuffer.
	* TestFCatch.java: Added.

2006-12-21  Andrew Cagney  <cagney@redhat.com>

	* Util.java: Use Config's getVersion, instead of VERSION.

2006-12-21  Nurdin Premji  <npremji@redhat.com>

	* StacktraceAction.java (printTasks): Modified to use StringBuffer instead
	of LinkedLists.
	(existingTask): Use generateTaskStackTrace.
	(generateTaskStackTrace): Renamed from storeTask, made public, return
	StringBuffer.

2006-12-21  Mike Cvet  <mcvet@redhat.com>

	* FCatch.java (init): Fixed to work properly with attaching to an 
	already-running process.

2006-12-20  Mike Cvet  <mcvet@redhat.com>

	* FCatch.java: Refactored from FCrash. Committing re: #3733.
	Merged small observers together into main AttachedObserver; handles
	multiple Tasks better.

2006-12-20  Nurdin Premji  <npremji@redhat.com>

	* Util.java (addConsoleOptions): Changed the way logs are set. Now need to 
	pass LOG=LEVEL sets to set specific logs to specific levels.

2006-12-19  Nurdin Premji  <npremji@redhat.com>

	* Util.java: Ran gnu formatter.
	(parsePids): Added.
	(PidParser): Added.	

	* Util.java (addConsoleOptions): Removed short character options.
	Changed "level" to "log" option.
	
	* StacktraceAction.java (storeTask): Add logging message.

2006-12-18  Nurdin Premji  <npremji@redhat.com>

	* TestFStack.java (multiThreaded.addFailed): Added.
	(testClone.addFailed): Ditto.
	* StacktraceAction.java: Made abstract
	(deletedFrom): Removed stub. 

2006-12-15  Nurdin Premji  <npremji@redhat.com>

	* Util.java (addConsoleOptions): Added.	
	* StacktraceAction.java: Revert ProcException.
	* CoredumpAction.java: Ditto.
	* TestFStack.java: Ditto.
	* TestFCore.java: Ditto.

	* StacktraceAction.java (StacktraceAction): throw ProcException	
	* CoredumpAction.java (CoredumpAction): Ditto.	
	* TestFStack.java (.execute): catch ProcException 
	(multiThreaded): Ditto.
	(testClone): Ditto.
	* TestFCore.java (.execute): Ditto.
	(constructCore): Ditto.

2006-12-14  Phil Muldoon  <pmuldoon@redhat.com>

	* CoredumpAction.java (CoredumpAction): Add new constructor for
	filename. Add writeAllMaps flag to both.
	(write_elf_file): Use getConstructedFileName() instead of
	recalculating.	Set ELF_LAYOUT mode on: construct offsets and 
	alignments manually.
	(getConstructedFileName): Get filename from fcore.java.
	(buildElfHeader): Calculate and update offset in elf file.
	(buildNotes): Ditto.
	(buildStringTable): ditto.
	(CoreMapsBuilder.buildBuffer): Create reference to raw maps.
	(CoreMapsBuilder.buildMaps): Calculate map filename.
	Check for writeAllMaps. If !writeAllMaps decided on elide
	and omit strategy. Calculate offsets to build sparse file.
	

	* TestFCore.java: Disable tests on x8664, ppc for now. Take too long.
	(constructCore): Add writeAllMaps flag.

2006-12-13  Mike Cvet  <mcvet@redhat.com>

	* StacktraceAction.java (storeTask): Update call to StackFrame.toPrint
	with false boolean.

2006-12-13  Nurdin Premji  <npremji@redhat.com>

	* TestFStack.java (mainClone): Changed format of sourceFile#lineNumber
	(thread): Ditto.
	(mainThread): Ditto.

2006-12-11  Nurdin Premji  <npremji@redhat.com>

	* TestFStack.java: Stripped down regex's to just the common text between threads.
	(testClone): Re-enabled
	(testStressMultiThreadedDetach): Ditto.

2006-12-10  Andrew Cagney  <cagney@redhat.com>

	* TestFStack.java: Replace pkglibexecdir with pkglibdir.

	* TestFStack.java (testClone): Note broken - 3690.
	(testStressMultiThreadedDetach): Note broken - 3691.

2006-12-07  Phil Muldoon  <pmuldoon@redhat.com>

	* TestFCore.java: Add permShared flag.
	* CoredumpAction.java: Ditto.

2006-12-06  Andrew Cagney  <cagney@redhat.com>

	* StacktraceAction.java: Remove @author.

2006-12-06  Nurdin Premji  <npremji@redhat.com>

	* TestFStack.java (mainClone): Fixed typo.

	* StracePrinter.java: Added (C).
	* TestLib.java: Ditto.
	* SyscallHandler.java: Ditto. 
	* Util.java: Ditto.

	* TestFStack.java: Another regex added.

	* TestFStack.java: Changed to use Build.SRC rather than Build.ABSSRCDIR

2006-12-05  Nurdin Premji  <npremji@redhat.com>

	* StacktraceAction.java: Renamed, was StacktraceObserver.
	(allExistingTasksCompleted): Added, required by ProcBlockAction
	(existingTask): Simplified, uses allExistingTasksCompleted when all tasks have been seen.
	* TestFStack.java (multiThreaded): StacktraceObserver renamed to StacktraceAction.
	(testClone): Ditto.
	* CoredumpAction.java (existingTask): Simplified, uses allExistingTasksCompleted.
	(allExistingTasksCompleted): Added, required by ProcBlockAction.

	* StacktraceObserver.java: ProcBlockObserver renamed to ProcBlockAction.
	* CoredumpAction.java: Ditto.
	
	* TestFStack.java (mainClone): Added sourcefile output.
	(secondaryClone): Ditto.
	(mainThread): Ditto.
	(secondaryThread): 	Ditto.

2006-12-04  Nurdin Premji  <npremji@redhat.com>

	* TestFStack.java: Added more regex's for 64 bit architectures.

2006-11-28  Nurdin Premji  <npremji@redhat.com>

	* TestFStack.java (multiThreaded): Changed to use assertFindProcAndTasks.
	(testClone): Ditto.
	* TestFCore.java (giveMeAProc): Ditto.

2006-11-20  Mike Cvet  <mcvet@redhat.com>

	* FCrash.java: Removed reference to frysk.proc.ProcAttachedObserver.

2006-11-16  Nurdin Premji  <npremji@redhat.com>

	* TestFStack.java (testClone): Enabled, changed to use regex arrays for easy expansion of regex.
	(mainClone): Changed to array, added more regex cases.
	(secondaryClone): Added more regex cases.
	(testMultiThreadedAckDaemon): 			
	* StacktraceObserver.java (checkFinish): Added.
	(taskAddFailed): Changed to call checkFinish.
	(existingTask): Ditto.
	(printTasks): Made private.
	(storeTask): Ditto.
	
2006-11-15  Phil Muldoon  <pmuldoon@redhat.com>
	
	* TestFCore.java: New.

	* CoredumpAction.java: New. Refactored from FCore.
	(CoredumpObserver): Added interrupt event,
	and allow the user to pass an event on termination.
	(InterruptEvent): New.
	(existingTask):Run event on last task processed.
	(buildNotes): Set header type and notes, no prog bits.
	
	* Fcore.java: Deleted.
	
	* Fcore.java (main): Deleted.
	(addOptions): Deleted.
	(CoredumpObserver): Renamed.

2006-11-14  Phil Muldoon  <pmuldoon@redhat.com>

	* FCore.java (fillENoteSection): Fix double PRSTATUS
	writes on FP Registers. Clean up, and comment.
	(buildElfHeader): Added missed arch classes.
	(fillENotePrstatus): Added LinuxIa32On64 case for registers.

2006-11-13  Phil Muldoon  <pmuldoon@redhat.com>

	* FCore.java (CoreMapsBuilder.buildMap): Comment out maps writing
	strategy for now.

2006-11-10  Phil Muldoon  <pmuldoon@redhat.com>

	* FCore.java (fillENoteFPRegSet): New.
	(fillENoteSection): Add fillENoteFPRegSet call.

2006-11-09  Nurdin Premji  <npremji@redhat.com>

	* StacktraceObserver.java: Changed back to StringBuffer, just as fast as String
	and would be faster for very large stacktraces. (Previous 40% boost shown to be a fluke).

2006-11-08  Andrew Cagney  <cagney@redhat.com>

	* TestFStack.java (testClone): Mark as broken, ref 3492.

2006-11-07  Nurdin Premji  <npremji@redhat.com>

	* StacktraceObserver: Switched to use String rather than StringBuffer.
	Testcases show 40% improvement.

2006-11-06  Nurdin Premji  <npremji@redhat.com>

	* TestFStack.java: Ran GNU Formatter. 
	(secondaryClone): Changed to use an array for easy updating of regex.
	(testClone): Ditto.	
	* StacktraceObserver.java: Ran gnu formatter
	(taskAddFailed): Changed from taskRemoved.

2006-11-03  Nurdin Premji  <npremji@redhat.com>

	* TestFStack.java (secondaryThread): Changed to array to hold all different
	regexs of a secondary thread.
	(testClone): Added.
	(secondaryCloneB): Added.
	(mainThread): Changed to array to hold multiple regexs.
	(multiThreaded): Changed to use arrays.
	(mainClone): Changed.
	(secondaryClone): Changed.	
	* StacktraceObserver.java (existingTask): Changed back to use full list of tasks and 
	remove as tasks are handled.
	(taskRemoved): Ditto.
	(StacktraceObserver): Ditto. 

2006-11-02  Nurdin Premji  <npremji@redhat.com>

	* TestFStack.java (testStressMultiThreadedDetach): Removed thrown IOException
	(testMultiThreadedAckDaemon): Ditto.
	(testSingleThreadedDetached): Ditto.
	(multiThreaded): Ditto.
	(testSingleThreadedAckDaemon): Ditto.
	(testMultiThreadedDetached): Ditto.
	
	(testMultiThreadedAckDaemon): Changed regex.
	(testStressMultiThreadedDetach): Ditto.
	(testSingleThreadedDetached): Ditto.
	(testSingleThreadedAckDaemon): Ditto.
	(testMultiThreadedDetached): Ditto.
	(mainThreadB): Added.
	(multiThreaded): Changed regex
	(mainClone): Added.
	(secondaryClone): Added.
	(secondaryThreadB): Added.

2006-11-01  Nurdin Premji  <npremji@redhat.com>

	* TestFStack.java (multiThreaded): Changed to reflect StacktraceObserver using a StringBuffer
	rather than a PrintWriter.
	(mainThread): Ditto.
	(secondaryThread): 	Ditto.
	* StacktraceObserver.java: Added (C).
	(StacktraceObserver): Changed to use StringBuffer rather than PrintWriter. 
	(printTasks): Ditto.
	(existingTask): Changed to append tasks to an empty list instead of removing them 
	from a full list.
	(taskRemoved): Added
	(storeTask): Used StackFrame.toPrint() method.
	(toPrint): Added
	(InterruptEvent): Added, allows Ctrl-C exiting.

2006-10-27  Nurdin Premji <npremji@redhat.com>

	* StacktraceObserver: Added, replaces:
	* FStack.java: Removed.
	* TestFStack: Changed to use StacktraceObserver.

2006-10-27  Phil Muldoon  <pmuldoon@redhat.com>

	* FCore.java (fillENoteAuxv): New.
	(fillENoteSection): Added AuxV call.

2006-10-26  Nurdin Premji  <npremji@redhat.com>

	* TestFStack.java (Analyzer): Added, new thread to analyze the output from fstack.
	(testMultiThreadedAckDaemon): Changed bug # to appropriate bug.
	(testSingleThreadedDetached): Ditto.
	(testStressMultiThreadedDetach): Ditto.
	(testSingleThreadedAckDaemon): Ditto. 
	(testMultiThreadedDetached): Ditto.
	(multiThreaded): Changed to use Analyzer thread to analyze output, avoids hangs due to
	full PipedWriter.
	
	* FStack.java:
	(printTasks): Added logging.
	(StackTasksObserver.addFailed): Removed, use default ProcBlockObserver addFailed method.
	(scheduleStackAndRunEvent): Changed system exit from -1 to +1.
	(StackTasksObserver.existingTask): Added logging.
	* TestFStack.java:
	(testStressMultiThreadedDetach): Removed broken's, caused by TestStackBacktrace.
	(testMultiThreadedAckDaemon): Ditto.
	(testSingleThreadedDetached): Ditto.
	(testSingleThreadedAckDaemon): Ditto.
	(testMultiThreadedDetached): Ditto.

2006-10-25  Nurdin Premji  <npremji@redhat.com>

	* TestFStack.java (multiThreaded): Changed to use methods FStack.scheduleStackAndRunEvent
	and Proc.requestAbandonAndRunEvent.	
	* FStack.java (StackTasksObserver.StackTasksObserver): Added event parameter, to run an event after
	stack trace is printed. 
	(StackTasksObserver.existingTask): 	Changed to run a given event rather than abandon the process.
	(scheduleStackAndRunEvent): Added.
	(scheduleStack): Removed.
	(removeObservers): Removed, should be handled elsewhere since fstack might want a quick detach.
	While other programs might want a simple removal.

2006-10-24  Phil Muldoon  <pmuldoon@redhat.com>

	* FCore.java (run): Convert to using ProcBlockObserver.
	(CoreDumpTasksObserver): Rebase on ProcBlockObserver.

2006-10-24  Mike Cvet  <mcvet@redhat.com>

	* FCrash.java (.update): Changed TasksCrashObserver to iterating
	through Tasks and adding AttachedObserver.
	(TasksCrashObserver): Removed.

2006-10-24  Nurdin Premji  <npremji@redhat.com>

	* TestFStack.java: Ran GNU Formatter
	(secondaryThread): Added.
	(testMultiThreadedAckDaemon): Added.
	(testSingleThreadedDetached): Changed to use multiThreaded.
	(testStressMultiThreadedDetach): Added.
	(testSingleThreadedAckDaemon): Changed to use multiThreaded.
	(mainThread): Moved out of testSingleThreadedDetached.
	(testMultiThreadedDetached): 
	(multiThreaded): Added.	
	* FStack.java: Ran GNU Formatter. 
	(StackTasksObserver): Changed to use ProcBlockObserver.
	(scheduleStack): Changed to use ProcBlockObserver
	
2006-10-24  Andrew Cagney  <cagney@redhat.com>

	* TestFStack.java (testSingleThreadedAckDaemon): Mark as broken; 3420.

2006-10-24  Yong Zheng  <zhengyo@cn.ibm.com>

	* FCore.java (fillENotePrstatus): Add one register map array for 
	32-bit case on PPC64 and remove the "mq" register.

2006-10-23  Phil Muldoon  <pmuldoon@redhat.com>

	* FCore.java (abandonCoreDump): New.
	(CoreDumpTasksObserver): GNU Indent. Add comments.
	(CoreDumpTasksObserver.existingTask): Call abandonCoreDump, on each
	Exception case.
	(CoreDumpTasksObserver.removeObservers): Use proc.requestAbandon().
	(fillENotePrstatus): GNU Indent. Use abandonCoreDump on failure.
	(fillENotePrpsinfo, constructSectionData): GNU Indent.
	(fillENoteSection): Added JavaDoc. GNU Indent.
	(write_elf_file): Rewritten and broken up into smaller utility 
	functions.
	(buildElfHeader): New. Extrapolated from write_elf_file.
	(buildNotes): Ditto.
	(buildStringTable): Ditto.
	(CoreMapsBuilder.buildMap): GNU Indent.
	(MapsCounter.buildMap): Ditto.
	(main): GNU Indent and clean-up.
	(addOptions): GNU Indent and clean-up.

2006-10-23  Mike Cvet  <mcvet@redhat.com>

	* FCrash.java (SignalObserver.updateSignaled): Added switch to
	catch multiple signals.
	(generateStackTrace): Added.

2006-10-23  Yong Zheng  <zhengyo@cn.ibm.com>

	* FCore.java (fillENotePrstatus): Set registers for PPC/PPC64.
	(fillENotePrpsinfo): Modify the end index of the byte[]. 

2006-10-22  Mike Cvet  <mcvet@redhat.com>

	* FCrash.java (trace): Create the new proc with an 
	AttachedObserver rather than a ProcAttachedObserver.
	(handleTask): Listen for signals to fcrash.
	(TasksCrashObserver): Removed unneeded constructor..
	(AttachedObserver): Added.
	(AttachedObserver.updateAttached): Create new SignalObserver
	for task.
	(SignalObserver): Added.
	
2006-10-22  Phil Muldoon  <pmuldoon@redhat.com>

	* FCore.java (fillENotePrstatus): New. Write PRSTATUS note
	for i386/x86_64. 
	(fillENoteSection): Add in PRSTATUS, and loop for each thread.

2006-10-20  Mike Cvet  <mcvet@redhat.com>

	* FCrash.java: Added.

2006-10-20  Nurdin Premji  <npremji@redhat.com>

	* TestFStack.java: Added.
	* FStack.java (scheduleStack): Added permission check.
	* TestLib.java: Added.	


2006-10-20  Phil Muldoon  <pmuldoon@redhat.com>

	* FCore.java (run): Add permission check, before core dumping.

2006-10-20  Yong Zheng  <zhengyong@cn.ibm.com>

	* FCore.jav (fillENotePrpsinfo): Pass pid as one parameter when refreshing Stat.
	(postProcessElfFile): Support modifications of the e_type in ELF 
	header on big-endian platform.

2006-10-19  Phil Muldoon  <pmuldoon@redhat.com>

	* FCore.java (write_elf_file): Request a elf section notes update
	after NOTES section data is complete. Refetch the notes section header
	after elf_update. Reformat to GNU Style.
	(postProcessElfFile): Reformat to GNU Style.
	(fillENoteSection): Rename sectionDate -> sectionData.
	(fillENotePrpsinfo): Use Proc.get{UID|PID} instead of Stat.get{UID|GID}
	Use Proc.getParent().getPid() to find parent instead of Stat.ppid.
	Use Proc.getCommand() instead of Stat.comm.
	
2006-10-19  Nurdin Premji  <npremji@redhat.com>
	
	* FStack.java (StackTasksObserver.addFailed): Removed TODO message.
	(scheduleStack (int)): Renamed, was run.
	(scheduleStack (Proc)): Added. 	Don't start eventLoop here.

2006-10-19  Yong Zheng  <zhengyo@cn.ibm.com>

	* FCore.java (fillENoteSection): New function to construct PT_NOTE section).
	(constructSectionData): New function to construct PT_NOTE data.
	(fillENotePrpsinfo): New function to fill elf_prpsinfo info.

2006-10-18  Nurdin Premji  <npremji@redhat.com>

	* FStack.java (removeObservers): Refactored proc.requestRemoveAllObservers to proc.requestAbandon.

	* FStack.java (StackTasksObserver.deletedFrom):  Removed hidden print statements.

2006-10-17  Phil Muldoon  <pmuldoon@redhat.com>

	* FCore.java (write_elf_file): Specify wordsize on elf header creation.
	Call postProcess to change elf core file.
	(postProcessElfFile): New. Change ET_EXEC -> ET_CORE. See bz sw 3373.

2006-10-16  Phil Muldoon  <pmuldoon@redhat.com>

	* FCore.java (CoreMapsBuilder.buildMap): Fix numOfMaps incorrect count.
	(write_elf_file): Removed stray shtrndx assignment.

2006-10-15  Phil Muldoon  <pmuldoon@redhat.com>

	* frysk/util/FCore.java ((FCore.CoreMapsBuilder): Fixed program segment
	alignments and offsets (match sections).

	* frysk/util/FCore.java (write_elf_file): Rewritten with these changes:
	- Build elf header manually with full complement of data. 
	- Build string table section/section header and update to disk. 
	- (Still) Ugly arch test hack.
	(CoreMapsBuilder.buildMap): 
	* frysk/util/FCore.java (FCore.MapsCounter): Renamed.
	* frysk/util/FCore.java (FCore.CoreMapsBuilder): Renamed.
	(buildMap):Rewritten with these changes: 
	- build section headers
	- define section headers in concert with program headers.
	- build section from header, create contextual Elf_Data class, and 
	byte copy maps data.

2006-10-13  Andrew Cagney  <cagney@redhat.com>

	* FStack.java: Coding nit, remove false== and null==.

2006-10-13  Nurdin Premji  <npremji@redhat.com>

	* FStack.java (removeObservers): Changed to use 
	proc.removeAllObservations.

2006-10-13  Phil Muldoon  <pmuldoon@redhat.com>

	* FCore.java: Added a patch by Yong Zheng  <zhengyo@cn.ibm.com> 
	that writes out p_flags/p_filez for each entry.

2006-10-12  Phil Muldoon  <pmuldoon@redhat.com>

	* FCore.java: Added. Initial, experimental and incomplete utility to
	dump process core in frysk.

2006-10-06  Tom Tromey  <tromey@redhat.com>

	* Ftrace.java: Added.
	* StracePrinter.java: Added.
	* SyscallHandler.java: Added.
	* Util: Added.

2006-10-06  Nurdin Premji <npremji@redhat.com>

	* FStack.java: Added.


Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
End:
